import { createTheme, ThemeProvider as MuiThemeProvider } from '@mui/material/styles';
import { useThemeStore } from '../stores/themeStore';
import { ReactNode } from 'react';

interface ThemeProviderProps {
  children: ReactNode;
}

export function ThemeProvider({ children }: ThemeProviderProps) {
  const { primaryColor } = useThemeStore();

  const theme = createTheme({
    palette: {
      primary: {
        main: primaryColor,
      },
    },
  });

  return (
    <MuiThemeProvider theme={theme}>
      {children}
    </MuiThemeProvider>
  );
}