import { Knex } from 'knex';
import { BaseRepository } from './base-repository';
import { PrintHistory } from '@shared/index';

export class PrintHistoryRepository extends BaseRepository<PrintHistory> {
  constructor(db: Knex) {
    super(db, 'print_history');
  }

  async findByTaskId(taskId: number): Promise<PrintHistory[]> {
    return await this.db(this.tableName)
      .where('task_id', taskId)
      .select('*');
  }

  async findByStepId(stepId: number): Promise<PrintHistory[]> {
    return await this.db(this.tableName)
      .where('step_id', stepId)
      .select('*');
  }
}